<patch>
	<id>hotfix-7227-7110</id>
	<name>hotfix-7227</name>
	<patching-tool-version>2016</patching-tool-version>
	<incompatible-patching-tool-version-message>Please update Patching Tool to version 2.0.16 or higher in order to use this patch.</incompatible-patching-tool-version-message>
	<incremental>false</incremental>
	<singular>true</singular>
	<version>7227</version>
	<rank>250626024802688</rank>
	<requirements>dxp=28</requirements>
	<component>hotfix</component>
	<product>7110</product>
	<fixed-issues>LPD-2443,LPE-17455,LPE-17791,LPE-17829,LPS-140467,LPS-146795</fixed-issues>
	<build-date>Thu, 26 Jun 2025 02:48:02 PDT</build-date>
	<full-file-replacements>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.executor.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.function.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.io.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.lang.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.memory.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.nio.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.process.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.string.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/com.liferay.registry.api.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/portal-kernel.jar</replace-file>
		<replace-file>GLOBAL_LIB_PATH/support-tomcat.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/portal-impl.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-bridges.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-java.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-slf4j.jar</replace-file>
		<replace-file>WAR_PATH/WEB-INF/lib/util-taglib.jar</replace-file>
	</full-file-replacements>
	<delete-files>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Message Boards - Impl.lpkg/com.liferay.message.boards.web-2.0.102.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Wiki - Impl.lpkg/com.liferay.wiki.web-4.0.103.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Expando - API.lpkg/com.liferay.expando.taglib-2.1.4.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Server - Impl.lpkg/com.liferay.server.admin.web-2.0.68.jar</delete-file>
		<delete-file>MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Users Admin - Impl.lpkg/com.liferay.users.admin.web-3.0.103.jar</delete-file>
	</delete-files>
	<customer-ticket>137014</customer-ticket>
	<built-for>Liferay</built-for>
	<plugin-dependencies>
		<plugin-dependency auto="true" name="util-bridges.jar">
			<portal-path>WAR_PATH/WEB-INF/lib/portal-impl.jar/com/liferay/portal/deploy/dependencies/util-bridges.jar</portal-path>
			<plugin-path>WEB-INF/lib/util-bridges.jar</plugin-path>
		</plugin-dependency>
		<plugin-dependency auto="true" name="util-java.jar">
			<portal-path>WAR_PATH/WEB-INF/lib/portal-impl.jar/com/liferay/portal/deploy/dependencies/util-java.jar</portal-path>
			<plugin-path>WEB-INF/lib/util-java.jar</plugin-path>
		</plugin-dependency>
		<plugin-dependency auto="true" name="util-taglib.jar">
			<portal-path>WAR_PATH/WEB-INF/lib/portal-impl.jar/com/liferay/portal/deploy/dependencies/util-taglib.jar</portal-path>
			<plugin-path>WEB-INF/lib/util-taglib.jar</plugin-path>
		</plugin-dependency>
	</plugin-dependencies>
	<checksums>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar">96f9d3e9e878d556837057bed6644f89</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.executor.jar">850754d13e6dbfb49d4a5627cdbfc36e</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.function.jar">de06db676c64c816bc3c3370040746fb</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.io.jar">20fb3d33969d9a89f55283bc19e62ba5</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.lang.jar">27a398a12d82c560266ac0fe758cf543</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.memory.jar">7fb7f8a86c7fd68c2f1acda1cbfb235a</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.nio.jar">85daf5ac872b9a005a777bc3f867a2a6</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.process.jar">43f1a44770fe32ade68ed20e964b21f1</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar">3ff08ce108fd4543a89790d9bf6bd65d</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.string.jar">1cadf490f108b4d2b3ddd6c2e8f659f4</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar">0002c77b64c4f325aed9a2c9a6591785</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/com.liferay.registry.api.jar">caf73750970ac925757a41b571cb9227</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/portal-kernel.jar">ded3b26bf5943575f7b5aca171e01825</file-checksum>
		<file-checksum file="binaries/GLOBAL_LIB_PATH/support-tomcat.jar">49ea0749dfddc27e52890497858dc58f</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar">b5251b7e2953ba7ff17d8ae5dd524b33</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/core/org.eclipse.osgi.jar">3d1e7144ddbaf4d37032061d6ef7f22d</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Message Boards - Impl.lpkg/com.liferay.message.boards.web-2.0.102.hotfix-7227-7110.jar">598ebb0802659abc56c5e37299a96aad</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Message Boards - Impl.lpkg/index.xml">b736530b02443eab29744608ff394030</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Message Boards - Impl.lpkg/liferay-marketplace.properties">c7d988afe9615a24c9f4e233d90a1891</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Wiki - Impl.lpkg/com.liferay.wiki.web-4.0.103.hotfix-7227-7110.jar">3ebf1c903bdfe5410a793b5b135ab6c1</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Wiki - Impl.lpkg/index.xml">c3f013b11daa661ead29af2fcfe7f993</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Collaboration - Liferay Wiki - Impl.lpkg/liferay-marketplace.properties">f507da7dd1c12953a06108a0ff09c045</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Expando - API.lpkg/com.liferay.expando.taglib-2.1.4.hotfix-7227-7110.jar">641807737171562e7b1f46d2a8fc5945</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Expando - API.lpkg/index.xml">1183688e2d66ef658e01813087f895bf</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Expando - API.lpkg/liferay-marketplace.properties">4f8256e68f703c9337a89953f7b1a4bf</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Server - Impl.lpkg/com.liferay.server.admin.web-2.0.68.hotfix-7227-7110.jar">33926c0d98daa8dfbff9a9fb0b40ec1f</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Server - Impl.lpkg/index.xml">483a74ef4445f1d8bd8185242c19062c</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Server - Impl.lpkg/liferay-marketplace.properties">dab59d086013d5b812ede3064e282dd2</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Users Admin - Impl.lpkg/com.liferay.users.admin.web-3.0.103.hotfix-7227-7110.jar">6eb72d373c140c81ac1c3c726acfb676</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Users Admin - Impl.lpkg/index.xml">a2981d4c4495a38d0bf48fd073a4c5c4</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Users Admin - Impl.lpkg/liferay-marketplace.properties">e22317fa486f6e2a611b11bc652bbe7e</file-checksum>
		<file-checksum file="binaries/MODULES_BASE_PATH/target-platform/integrity.properties">8c0bf501cf8290823a4dcb038647d953</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/classes/META-INF/MANIFEST.MF">e5360aba15e56340f5a62f41ff609ef1</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar">fc3fdfdff808e8f7a290e629b37b11b8</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar">637857d06c16f8484370355589161501</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar">936a9ae41c11aa9171568a87b3971e6b</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar">58930faf7ef33fe93882fc79fefeefa8</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar">f22d4a6707d3efd531011805686642b2</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar">1bf3e08633a3a57b123a635fc3bb49d2</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar">dafb7be3a22737c6c09549bb5cbf791a</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar">026107ec9b1cde4799eef38e4845b072</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/portal-impl.jar">efa1d4f604006ac35d1fef54ef22340b</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-bridges.jar">f408f23fb7aa23d5f18318b3193293e9</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-java.jar">ce46849c0dd55831463045ddaef0075c</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-slf4j.jar">6e0fbeca48cf58d4cde26c5d54c66eb2</file-checksum>
		<file-checksum file="binaries/WAR_PATH/WEB-INF/lib/util-taglib.jar">183d940da23be5f3376230ca262fde1f</file-checksum>
		<file-checksum file="diff/modules/apps/expando/expando-taglib/src/main/resources/META-INF/resources/custom_attribute/page.jsp.diff">a06f1482fa1a16ee0412124dd7caa8c3</file-checksum>
		<file-checksum file="diff/modules/apps/message-boards/message-boards-web/src/main/resources/META-INF/resources/message_boards/js/MBPortlet.es.js.diff">a3fa24138234616c5dbbbbb39fd0cef2</file-checksum>
		<file-checksum file="diff/modules/apps/message-boards/message-boards-web/src/main/resources/META-INF/resources/message_boards/view_thread_message.jsp.diff">e9c908005d7957427cd35275b99910a5</file-checksum>
		<file-checksum file="diff/modules/apps/server/server-admin-web/src/main/java/com/liferay/server/admin/web/internal/portlet/action/EditServerMVCActionCommand.java.diff">6fa743c56f61a74b8e8a251b10880c1c</file-checksum>
		<file-checksum file="diff/modules/apps/users-admin/users-admin-web/src/main/resources/META-INF/resources/user/roles.jsp.diff">ba6d9e028c6540e4041536233191813d</file-checksum>
		<file-checksum file="diff/modules/apps/wiki/wiki-web/src/main/resources/META-INF/resources/wiki/view.jsp.diff">7a2526c7327a29e4ddc44dc361d49e48</file-checksum>
		<file-checksum file="diff/portal-impl/src/com/liferay/portlet/expando/service/impl/ExpandoValueLocalServiceImpl.java.diff">772368820b40aa6209356b25ba9e21f8</file-checksum>
		<file-checksum file="diff/portal-kernel/src/com/liferay/portal/kernel/util/SessionClicks.java.diff">affd32126343eb045f86d9ce4e7316f8</file-checksum>
		<file-checksum file="src/modules/apps/expando/expando-taglib/src/main/resources/META-INF/resources/custom_attribute/page.jsp">1b91065a9433f821a8b258c7a152b104</file-checksum>
		<file-checksum file="src/modules/apps/message-boards/message-boards-web/src/main/resources/META-INF/resources/message_boards/js/MBPortlet.es.js">255bd1269a43b7d31f6201176d7ff3f8</file-checksum>
		<file-checksum file="src/modules/apps/message-boards/message-boards-web/src/main/resources/META-INF/resources/message_boards/view_thread_message.jsp">943421dc57aad4035326bd94d964f115</file-checksum>
		<file-checksum file="src/modules/apps/server/server-admin-web/src/main/java/com/liferay/server/admin/web/internal/portlet/action/EditServerMVCActionCommand.java">9612d12a34c150bc18b965ca6561f773</file-checksum>
		<file-checksum file="src/modules/apps/users-admin/users-admin-web/src/main/resources/META-INF/resources/user/roles.jsp">a2f70da9c221199e549715a50f528ca3</file-checksum>
		<file-checksum file="src/modules/apps/wiki/wiki-web/src/main/resources/META-INF/resources/wiki/view.jsp">a4a9ed49850d467a1cbf71c584d978d7</file-checksum>
		<file-checksum file="src/portal-impl/src/com/liferay/portlet/expando/service/impl/ExpandoValueLocalServiceImpl.java">4965f732dfb1fd8dd3648847bf836302</file-checksum>
		<file-checksum file="src/portal-kernel/src/com/liferay/portal/kernel/util/SessionClicks.java">d8b02246405c25b76c8d654ba0b085ed</file-checksum>
	</checksums>
	<build-id>276115933</build-id>
	<build-name>LPD-2443,LPE-17455,LPE-17791,LPE-17829,LPS-140467,LPS-146795</build-name>
	<source-available>true</source-available>
	<git-revision>b661856828438529bf853a972ad55eb9215f5fa4</git-revision>
</patch>
